Skip to main content
PATCH
/
v1
/
account-kits
/
{id}
Update account kit
curl --request PATCH \
  --url https://api.usenaive.ai/v1/account-kits/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "description": "<string>",
  "primitives_config": {},
  "connections_config": {}
}
'
{
  "id": "<string>",
  "name": "<string>",
  "description": "<string>",
  "is_default": true,
  "primitives_config": {},
  "connections_config": {},
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Workspace API key. Create one via the dashboard or POST /v1/auth/keys.

Path Parameters

id
string
required

Body

application/json
name
string
description
string
primitives_config
object
connections_config
object

Response

Updated.

id
string
name
string
description
string | null
is_default
boolean
primitives_config
object
connections_config
object
created_at
string<date-time>
updated_at
string<date-time>